! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 2.18. Named constants and initialized variables.
  module C18M
    implicit none
    public :: Initial_2
  contains
    subroutine Initial_2( )
      integer, parameter :: P = 3  ! Named constants
      integer, save :: Mt = 14, Nobody = 0, J, X  ! Initialized variables
      real, parameter :: R = -9.25  ! Named constant
  ! start subroutine Initial_4
      read (unit = *, fmt = *) J, X
      write (unit = *, fmt = *) P, Mt, Nobody, J, X
      write (unit = *, fmt = *) R
      return
    end subroutine Initial_2
  end module C18M
